Imports System
Imports System.ComponentModel
Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering
Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class InstallationProductsVariable ' A gyártmány hierarchia legalsó (nem szülő !) része milyen Products-ból áll
    Inherits BaseObject
    Private _Installation As Installation
    Private _Products As Products 'Termék
    Private _QTT As Double 'Mennyiség
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    <Association("Installation-InstallationProductsVariable", GetType(Installation))> _
    Property Installation As Installation
        Get
            Return _Installation
        End Get
        Set(ByVal value As Installation)
            SetPropertyValue("Installation", _Installation, value)
        End Set
    End Property
    Property Products As Products
        Get
            Return _Products
        End Get
        Set(ByVal value As Products)
            SetPropertyValue("Products", _Products, value)
        End Set
    End Property
    Property QTT As Double
        Get
            Return _QTT
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("QTT", _QTT, value)
        End Set
    End Property
End Class






